use crate::read;

struct Hand {
    pub letter: char,
}

struct Round {
    enemy: Hand,
    me: Hand,
}

pub fn run() {
    let input = read("02");
    let lines = input.lines().map(|l| {
        let hands = l.split(' ').collect::<Vec<_>>();
        Round {
            enemy: Hand {
                letter: hands.first().unwrap().chars().next().unwrap(),
            },
            me: Hand {
                letter: hands[1].chars().next().unwrap(),
            },
        }
    });

    #[cfg(feature = "part1")]
    {
        let a = "TODO";
        eprintln!("Day 2, Part 01: {}", a);
    }

    #[cfg(feature = "part2")]
    {
        let b = "TODO";
        eprintln!("Day 2, Part 02: {}", b);
    }
}
